{% extends 'accounts/base.html' %}


{% block content1 %}
<header class="masthead">
  <div class="container h-100 pt-5">
  <h2>Create account</h2>

<div class="card" style="width: 100%;">
  {% if messages %}
  <ul class="list-group">
    {% for message in messages %}
      <li class="list-group-item">{{ message }},please login <a href="{% url 'course:login' %}">here.</a></li>
    {% endfor %}
  </ul>

  {% endif %}
  <div class="container-fluid">
    <form method="post">
      {% csrf_token %}

      <div class="form-row m-3">
        <div class="col">
          <label for="id_username" style="color:black;">Username:</label>
          <input type="text" name="username" required id="id_username" class="form-control" minlength="4"  placeholder="Enter Username">
          <span>Username</span>

        </div>
        <div class="col">
          <label for="id_email" style="color:black;">Email:</label>
          <input type="email" name="email" required="" id="id_email" class="form-control" minlength="4"  placeholder="Enter Email">
          <span>Email</span>


        </div>
      </div>
      <div class="form-row m-3">
        <div class="col">
          <label for="password1" style="color:black;">Password:</label>
          <input type="password" name="password1" required="" id="id_password1" class="form-control" minlength="4"  placeholder="Enter Password">
        </div>
        <div class="col">
          <label for="password2" style="color:black;">Confirm Password:</label>
          <input type="password" name="password2" required="" id="id_password2" class="form-control" minlength="4"  placeholder="Enter Password Again">
        </div>
      </div>
      <div class="form-row m-3  flex-row-reverse">

        <div class="col" style="color:black;">
          {{ form.agreements }} Check this box to ensure you are not robot
          <div class=" text-center">
          <input class="btn-outline-primary btn btn-xl" type="submit" name="submit" value="signup" />
          </div>
        </div>
      </div>
    </div>
    </form>


    </div>
</div>
</header>
{% endblock %}
